View Issue Details

IDProjectCategoryView StatusLast Update
0000984FreeCADBugpublic2013-02-13 09:05
ReporterdanielfalckAssigned To 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000984: latest git version doesn't build on mint linux 2013-02-10
DescriptionI just did a git pull of master and tried to build, but got this error:

/home/danfalck/cadcam/freecad/freecad1/src/Base/Uuid.cpp: In member function ‘void Base::Uuid::setValue(const char*)’:
/home/danfalck/cadcam/freecad/freecad1/src/Base/Uuid.cpp:79:19: error: ‘runtime_error’ is not a member of ‘std’
make[2]: *** [src/Base/CMakeFiles/FreeCADBase.dir/Uuid.cpp.o] Error 1
make[1]: *** [src/Base/CMakeFiles/FreeCADBase.dir/all] Error 2
make: *** [all] Error 2
Additional Informationgit log

commit d739a2e41bd4724b76db9946124356b9771c9283
Author: jriegel <FreeCAD@juergen-riegel.net>
Date: Sun Feb 10 20:02:21 2013 +0100

    Add all base system changes from the Assembly branch


I am running Linux Mint Maya (Ubuntu variant) and had been building successfully earlier in the week.
TagsNo tags attached.

Activities

danielfalck

2013-02-10 19:22

reporter   ~0002891

I am using gcc 4.6.3 and libboost 1.46

yorik

2013-02-10 22:09

administrator   ~0002892

Hm looking at the git logs, Jürgen has started the big Assembly move. There might be more building problems during some time, until it is done and settled...

user701

2013-02-12 14:43

  ~0002896

Last edited: 2013-02-12 14:48

I tested today, still failing on Linux Mint Maya (14).

If you want to fix it, simply add
#include <stdexcept>
On top of src/Base/Uuid.cpp file

But more errors can be expected later...

src/Main/MainPy.cpp (line 131):
- uuid.UuidStr="";
+ uuid.setValue("");

wmayer

2013-02-13 09:05

administrator   ~0002901

git show 8160c8280f24fc8f25f5975bbda1c6d8a22291ae

Issue History

Date Modified Username Field Change
2013-02-10 19:18 danielfalck New Issue
2013-02-10 19:22 danielfalck Note Added: 0002891
2013-02-10 22:09 yorik Note Added: 0002892
2013-02-12 14:43 user701 Note Added: 0002896
2013-02-12 14:44 user701 Note Edited: 0002896
2013-02-12 14:48 user701 Note Edited: 0002896
2013-02-13 09:05 wmayer Note Added: 0002901
2013-02-13 09:05 wmayer Status new => closed
2013-02-13 09:05 wmayer Resolution open => fixed
2013-02-13 09:05 wmayer Fixed in Version => 0.14